# Constructing primitives

In GEOM you can create different types of primitive geometrical objects (3D elements):

- Box

- Cylinder

- Sphere

- Torus

- Cone

To construct primitive geometrical objects:

In the main menu select New Entity > Primitives.

Box

Description: Creates a box.

Result: GEOM_Object (SOLID).

TUI Command : geompy.MakeBox(X1, Y1, Z1, X2, Y2, Z2), where (X1, Y1, X2) and (X2, Y2, Z2) are coordinates of two points which define a diagonal of the box.

Arguments:

- 1st Constructor : Name + 2 vertices (opposite corners of the box).

- 2nd Constructor : Name + 3 values (dimensions at origin).

Dialog Box:

Example:

Cylinder

Description: Creates a cylinder.

Result: GEOM_Object (solid).

TUI Command: geompy.MakeCylinder(Point, Axis, Radius, Height), where Point is a central point of the cylinder base, Axis (vector value) is an axis of the cylinder, Radius and Height are correspondingly a radius and a height of the cylinder.

Arguments:

- 1st Constructor: Name + 1 vertex + 1 vector + 2 values (Dimensions: radius and height).

- 2nd Constructor: Name + 2 values (Dimensions at origin: radius and height).

Dialog Box:

Example:

Sphere

Description: Creates a sphere.

Result: GEOM_Object (solid).

TUI Command: geompy.MakeSphere(Point, Radius), where Point is a center of the sphere and Radius is a radius of the sphere.

Arguments:

- 1st Constructor : Name + 1 vertex + 1 value (Radius).

- 2nd Constructor : Name + 1 value (Radius from the origin).

Dialog Box:

Example:

Torus

Description: Creates a torus.

Result: GEOM_Object (solid).

TUI Command: geompy.MakeTorus(Point, Vector, RadiusMajor, RadiusMinor), where Point is a central point of the torus, Vector is an axis of symmetry, RadiusMajor and RadiusMinor are correspondingly a major and minor radiuses of the torus.

Arguments:

- 1st Constructor: Name + 1 vertex + 1 vector (for direction) + 2 values (1 & 2 Radius).

- 2nd Constructor: Name + 2 values (1 & 2 Radius from the origin).

Dialog Box:

Example:

Cone

Description: Creates a cone.

Result: GEOM_Object (SOLID).

TUI Command: geompy.MakeCone(Point, Axis, Radius1, Radius2), where Point is a central point of the cone base, Axis (vector value) is an axis of the cone, Radius1 and Radius2 are correspondingly the first and the second radiuses of the cone

Arguments:

- 1st Constructor: Name + 1 vertex + 1 vector (for direction) + 3 values (Radius of the base part, radius of the upper part, height).

- 2nd Constructor: Name + 3 values (Radius of the base part, radius of the upper part, height).

Dialog Box:

Example: